Skip to content

Get queues​

GET
/accounts/{accountUuid}/documents/v2/queue

Get the document-mass-import queues

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1
type
Type
[ "string", "null" ]
Valid values
"invoice""receipt""credit_note""recurring_invoice""quote""contract_note""delivery_note""supplier_credit_note"

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"total": 0,
  
  
  
"successful": 0,
  
  
  
"failed": 0,
  
  
  
"status": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get document statistics​

GET
/accounts/{accountUuid}/documents/v2/statistics

Get statistics of saved documents and their location

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"total": 0,
  
  
"deepBox": 0,
  
  
"s3": 0
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Get queue status​

GET
/accounts/{accountUuid}/documents/v2/queue/{queueUuid}

Get the status of the document-mass-import queue

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
queueUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"total": 0,
  
  
"successful": 0,
  
  
"failed": 0,
  
  
"status": "string",
  
  
"details": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete queue​

DELETE
/accounts/{accountUuid}/documents/v2/queue/{queueUuid}

Delete the document-mass-import queue. Can only be done as long as the queue is aborted, finished or failed.

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
queueUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

Playground​

Authorization
Variables
Key
Value

Samples​


Get document flow​

GET
/accounts/{accountUuid}/documents/v2/documents/{documentUuid}/document-flow

Get the document flow of a document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful return of a document flow

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"documentFlowUuid": "string",
  
  
  
"createdAt": "string",
  
  
  
"from": {
  
  
  
  
"uuid": "string",
  
  
  
  
"type": "string",
  
  
  
  
"subtype": "string",
  
  
  
  
"isDeleted": true,
  
  
  
  
"isTemplate": true,
  
  
  
  
"date": "string",
  
  
  
  
"number": "string",
  
  
  
  
"amount": 0,
  
  
  
  
"currency": "string"
  
  
  
},
  
  
  
"to": {
  
  
  
  
"uuid": "string",
  
  
  
  
"type": "string",
  
  
  
  
"subtype": "string",
  
  
  
  
"isDeleted": true,
  
  
  
  
"isTemplate": true,
  
  
  
  
"date": "string",
  
  
  
  
"number": "string",
  
  
  
  
"amount": 0,
  
  
  
  
"currency": "string"
  
  
  
}
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Abort queue​

POST
/accounts/{accountUuid}/documents/v2/queue/{queueUuid}/abort

Abort the document-mass-import queue. No other items will be processed. Can only be done as long as the queue is not aborted, finished or failed.

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
queueUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"total": 0,
  
  
"successful": 0,
  
  
"failed": 0,
  
  
"status": "string",
  
  
"details": [
  
  
]
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​